Upgraded to 4.0

Discussion in 'LSWS 4.1 Release' started by joek168, Mar 20, 2009.

  1. joek168

    joek168 New Member

    After upgrading from 3.3.24 to 4.0, the main web server seems to be fine, but the admin site isn't working, get a 503 error. Here is the error.log entries:

    2009-03-20 11:26:42.095 [INFO] [67.197.xx.xx:50989-0#_AdminVHost] ExtConn timed out while processing.
    2009-03-20 11:26:42.095 [INFO] [67.197.xx.xx:50989-0#_AdminVHost] connection to [UDS://tmp/lshttpd/admin_php.sock] on request #0, Connection timed out!
    2009-03-20 11:26:42.095 [NOTICE] [67.197.xx.xx:50989-0#_AdminVHost] oops! 503 Service Unavailable
    2009-03-20 11:26:42.095 [NOTICE] [67.197.xx.xx:50989-0#_AdminVHost] Content len: 0, Request line:
    (null)

    I checked /tmp/lshttpd/admin_php.sock, it exists as follows:

    srwxr-xr-x 1 nobody nobody 0 Mar 20 11:14 admin_php.sock

    any ideas? This is a standard install, we decided to try it on a standard install prior to installing on our production machines.

    thanks,

    joe
    Last edited: Mar 20, 2009
  2. mistwang

    mistwang LiteSpeed Staff

    Please remove /tmp/lshttpd/admin_php.sock* then try again.
  3. joek168

    joek168 New Member

    deleted the file as directed and restarted, same results...

    please advise.

    THanks,

    Joe
  4. joek168

    joek168 New Member

    Hello,

    we deleted the file as you advised and got the same result.

    What else can we do?

    Thanks,

    Joe
  5. mistwang

    mistwang LiteSpeed Staff

    Please PM me your server login if you don't mind, I can take a look.
  6. mistwang

    mistwang LiteSpeed Staff

    Please download 4.0 package and update again, we fixed a problem in admin_php build, the earlier build depends on libjpeg.so , which may not available on your server. the latest build is statically linked.
  7. joek168

    joek168 New Member

    Downloaded and re-installed and it worked.

    We do have lib-jpeg installed, but it's the 64 bit version, so maybe that caused the trouble.

    Thanks!

    Joe
  8. muiruri

    muiruri Member

    After upgrading from 3.3.4 to 4.0.1, even now 4.0.2

    We have a problem, where users are not able to log on to atmail and several CMS's

    Please help?

    Regards, Sam
  9. mistwang

    mistwang LiteSpeed Staff

    Need more information about your server environment.

Share This Page